package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.service.TpRentalHouseServicel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/5/9
 **/
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "出租公寓相关的API", description = "出租公寓相关的API")
public class TpRentalHouseController extends BaseController{

    @Autowired
    private TpRentalHouseServicel tpRentalHouseServicel;

    @ApiOperation(value = "长租公寓接口", notes = "长租公寓接口")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token"),
            @ApiImplicitParam(paramType = "query",dataType = "String",name = "houseName",value = "商圈或者小区"),
            @ApiImplicitParam(paramType = "query",dataType = "Integer",name = "rentalType",value = "1:是整租 2:是合租 --为null时查所有"),
            @ApiImplicitParam(paramType = "query",dataType = "Integer",name = "houseType",value = "1:一室居 2:二室居 3:三室局 4:四室居及以上 --为null时查所有"),
            @ApiImplicitParam(paramType = "query",dataType = "Integer",name = "rentalPrice",value = "1:1000以内 2:1000-1500 3:1500-200 4:2000-3000 5:3000-4000 6:4000以上 --为null时查所有"),
            @ApiImplicitParam(paramType = "query",dataType = "Integer",name = "priceFluctuate",value = "1:价格由低到高 2:价格由高到低  --为null时默认排序" ),
    })
    @RequestMapping(value = "/rentalhouse",method = RequestMethod.GET)
    public Object getTaFaceByUserId(HttpSession session,
                                    @RequestParam(value = "houseName",required = false ) String houseName,
                                    @RequestParam(value = "rentalType",required = false) Integer rentalType,
                                    @RequestParam(value = "houseType",required = false) Integer houseType,
                                    @RequestParam(value = "rentalPrice",required = false) Integer rentalPrice,
                                    @RequestParam(value = "priceFluctuate",required = false) Integer priceFluctuate){
        UserElement userElement = getUserElement(session);
        ResponseBean responseBean = tpRentalHouseServicel.getRentalHouse(userElement,houseName,rentalType,houseType,rentalPrice,priceFluctuate);
        return responseBean;
    }

}
